Shop API
Shop endpoint အားလုံး၊ ၎င်းတို့ရဲ့ field များနဲ့ ဥပမာ။
FOM ရဲ့ OpenAPI document ကနေ ထုတ်ထားပါတယ်။ Field ရှင်းလင်းချက်တွေက အင်္ဂလိပ်လို ဖြစ်ပါတယ်။ Request တိုင်းမှာ API key လိုပါတယ်၊ Authentication ကို ကြည့်ပါ။
shop object
| Field | Type | ရှင်းလင်းချက် |
|---|---|---|
shop | object | |
shop.id | string | |
shop.name | string | e.g. Ma Aye Shop |
shop.timezone | string | e.g. Asia/Yangon |
api_key | object | |
api_key.name | string | e.g. POS sync |
api_key.scopes | array of string | |
api_key.acts_for | string | The member the key acts for. e.g. Ma Aye |
The shop this API key belongs to
GET /public/v1/shopScope: အလုပ်လုပ်တဲ့ key မည်သည့်တစ်ခုမဆို
Any working key can call this. Use it to check a key and see its scopes.
ပြန်ရမယ့်အရာ
shop (shop object).
ဥပမာ
curl "https://api.getfom.com/public/v1/shop" \
-H "Authorization: Bearer $FOM_API_KEY"